singleton Material(lightbar)
{
    mapTo = "lightbar";
    diffuseMap[0] = "vehicles/common/lightbars/lightbar_d.dds";
    specularMap[0] = "vehicles/common/lightbars/lightbar_s.dds";
    normalMap[0] = "vehicles/common/lightbars/lightbar_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};


singleton Material(lightbarglassA_on)
{
    mapTo = "lightbarglassA_on";
    diffuseMap[2] = "vehicles/common/lightbars/lightbar_g.dds";
    specularMap[2] = "vehicles/common/lightbars/lightbar_s.dds";
    normalMap[2] = "vehicles/common/lightbars/lightbar_n.dds";
    diffuseMap[1] = "vehicles/common/lightbars/lightbar_d.dds";
    specularMap[1] = "vehicles/common/lightbars/lightbar_s.dds";
    normalMap[1] = "vehicles/common/lightbars/lightbar_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/lightbars/lightbar_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.12";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    glow[0] = "0";
    glow[1] = "0";
    glow[2] = "1";
    emissive[0] = "0";
    emissive[1] = "0";
    emissive[2] = "1";
    animFlags[2] = "0x00000005";
    scrollDir[2] = "0 -0.21";
    waveType[2] = "Square";
    waveFreq[2] = "2";
    waveAmp[2] = "1";
    specularStrength[0] = "0";
};

singleton Material(lightbarglassA2_on)
{
    mapTo = "lightbarglassA2_on";
    diffuseMap[2] = "vehicles/common/lightbars/lightbar_g.dds";
    specularMap[2] = "vehicles/common/lightbars/lightbar_s.dds";
    normalMap[2] = "vehicles/common/lightbars/lightbar_n.dds";
    diffuseMap[1] = "vehicles/common/lightbars/lightbar_d.dds";
    specularMap[1] = "vehicles/common/lightbars/lightbar_s.dds";
    normalMap[1] = "vehicles/common/lightbars/lightbar_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/lightbars/lightbar_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.12";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    glow[0] = "0";
    glow[1] = "0";
    glow[2] = "1";
    emissive[0] = "0";
    emissive[1] = "0";
    emissive[2] = "1";
    animFlags[2] = "0x00000005";
    scrollDir[2] = "0 -0.21";
    waveType[2] = "Square";
    waveFreq[2] = "1.8";
    waveAmp[2] = "1";
    specularStrength[0] = "0";
};


singleton Material(lightbarglassA)
{
    mapTo = "lightbarglassA";
    diffuseMap[1] = "vehicles/common/lightbars/lightbar_d.dds";
    specularMap[1] = "vehicles/common/lightbars/lightbar_s.dds";
    normalMap[1] = "vehicles/common/lightbars/lightbar_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/lightbars/lightbar_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    glow[0] = "0";
    glow[1] = "0";
    emissive[0] = "0";
    emissive[1] = "0";
    specularStrength[0] = "0";
};
singleton Material(lightbarglassA2)
{
    mapTo = "lightbarglassA2";
    diffuseMap[1] = "vehicles/common/lightbars/lightbar_d.dds";
    specularMap[1] = "vehicles/common/lightbars/lightbar_s.dds";
    normalMap[1] = "vehicles/common/lightbars/lightbar_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/lightbars/lightbar_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    glow[0] = "0";
    glow[1] = "0";
    emissive[0] = "0";
    emissive[1] = "0";
    specularStrength[0] = "0";
};
singleton Material(lightbarglassR2)
{
    mapTo = "lightbarglassR2";
    diffuseMap[1] = "vehicles/common/lightbars/lightbar_d.dds";
    specularMap[1] = "vehicles/common/lightbars/lightbar_s.dds";
    normalMap[1] = "vehicles/common/lightbars/lightbar_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/lightbars/lightbar_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    glow[0] = "0";
    glow[1] = "0";
    emissive[0] = "0";
    emissive[1] = "0";
    specularStrength[0] = "0";
};
singleton Material(lightbarglassR)
{
    mapTo = "lightbarglassR";
    diffuseMap[1] = "vehicles/common/lightbars/lightbar_d.dds";
    specularMap[1] = "vehicles/common/lightbars/lightbar_s.dds";
    normalMap[1] = "vehicles/common/lightbars/lightbar_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/lightbars/lightbar_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    glow[0] = "0";
    glow[1] = "0";
    emissive[0] = "0";
    emissive[1] = "0";
    specularStrength[0] = "0";
};


singleton Material(lightbarglassB)
{
    mapTo = "lightbarglassB";
    diffuseMap[1] = "vehicles/common/lightbars/lightbar_d.dds";
    specularMap[1] = "vehicles/common/lightbars/lightbar_s.dds";
    normalMap[1] = "vehicles/common/lightbars/lightbar_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/lightbars/lightbar_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    glow[0] = "0";
    glow[1] = "0";
    emissive[0] = "0";
    emissive[1] = "0";
    specularStrength[0] = "0";
};

//RB_on
singleton Material(lightbarglassR_on)
{
    mapTo = "lightbarglassR_on";
    specularMap[2] = "vehicles/common/lightbars/lightbar_s.dds";
    normalMap[2] = "vehicles/common/lightbars/lightbar_n.dds";
    specularMap[1] = "vehicles/common/lightbars/lightbar_s.dds";
    normalMap[1] = "vehicles/common/lightbars/lightbar_n.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/lightbars/lightbar_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    glow[0] = "0";
    glow[1] = "0";
    glow[2] = "1";
    emissive[0] = "0";
    emissive[1] = "0";
    emissive[2] = "1";
    animFlags[2] = "0x00000005";
    scrollDir[2] = "0 0.21";
    waveType[2] = "Square";
    waveFreq[2] = "2";
    waveAmp[2] = "1";
    specularStrength[0] = "0";
   colorMap[0] = "vehicles/common/null.dds";
   colorMap[1] = "vehicles/common/lightbars/lightbar_d.dds";
   specularStrength0 = "0";
   colorMap[2] = "vehicles/common/lightbars/lightbar_g.dds";

};

singleton Material(lightbarglassB_on)
{
    mapTo = "lightbarglassB_on";
    specularMap[2] = "vehicles/common/lightbars/lightbar_s.dds";
    normalMap[2] = "vehicles/common/lightbars/lightbar_n.dds";
    specularMap[1] = "vehicles/common/lightbars/lightbar_s.dds";
    normalMap[1] = "vehicles/common/lightbars/lightbar_n.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/lightbars/lightbar_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    glow[0] = "0";
    glow[1] = "0";
    glow[2] = "1";
    emissive[0] = "0";
    emissive[1] = "0";
    emissive[2] = "1";
    animFlags[2] = "0x00000005";
    scrollDir[2] = "0 0.21";
    waveType[2] = "Square";
    waveFreq[2] = "2";
    waveAmp[2] = "1";
    specularStrength[0] = "0";
   colorMap[0] = "vehicles/common/null.dds";
   colorMap[1] = "vehicles/common/lightbars/lightbar_d.dds";
   specularStrength0 = "0";
   colorMap[2] = "vehicles/common/lightbars/lightbar_g.dds";
   sequenceFramePerSec[2] = "4";
   sequenceSegmentSize[2] = "0.333333";
};

singleton Material(lightbarglassB2)
{
    mapTo = "lightbarglassB2";
    diffuseMap[1] = "vehicles/common/lightbars/lightbar_d.dds";
    specularMap[1] = "vehicles/common/lightbars/lightbar_s.dds";
    normalMap[1] = "vehicles/common/lightbars/lightbar_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/lightbars/lightbar_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    glow[0] = "0";
    glow[1] = "0";
    emissive[0] = "0";
    emissive[1] = "0";
    specularStrength[0] = "0";
};

singleton Material(lightbarglassR2)
{
    mapTo = "lightbarglassR2";
    diffuseMap[1] = "vehicles/common/lightbars/lightbar_d.dds";
    specularMap[1] = "vehicles/common/lightbars/lightbar_s.dds";
    normalMap[1] = "vehicles/common/lightbars/lightbar_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/lightbars/lightbar_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    glow[0] = "0";
    glow[1] = "0";
    emissive[0] = "0";
    emissive[1] = "0";
    specularStrength[0] = "0";
};

//B2R2_on
singleton Material(lightbarglassB2_on)
{
    mapTo = "lightbarglassB2_on";
    diffuseMap[2] = "vehicles/common/lightbars/lightbar_g.dds";
    specularMap[2] = "vehicles/common/lightbars/lightbar_s.dds";
    normalMap[2] = "vehicles/common/lightbars/lightbar_n.dds";
    diffuseMap[1] = "vehicles/common/lightbars/lightbar_d.dds";
    specularMap[1] = "vehicles/common/lightbars/lightbar_s.dds";
    normalMap[1] = "vehicles/common/lightbars/lightbar_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/lightbars/lightbar_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    glow[0] = "0";
    glow[1] = "0";
    glow[2] = "1";
    emissive[0] = "0";
    emissive[1] = "0";
    emissive[2] = "1";
    animFlags[2] = "0x00000005";
    scrollDir[2] = "0 -0.21";
    waveType[2] = "Square";
    waveFreq[2] = "2";
    waveAmp[2] = "1";
    specularStrength[0] = "0";
};

singleton Material(lightbarglassR2_on)
{
    mapTo = "lightbarglassR2_on";
    specularMap[2] = "vehicles/common/lightbars/lightbar_s.dds";
    normalMap[2] = "vehicles/common/lightbars/lightbar_n.dds";
    specularMap[1] = "vehicles/common/lightbars/lightbar_s.dds";
    normalMap[1] = "vehicles/common/lightbars/lightbar_n.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/lightbars/lightbar_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    glow[0] = "0";
    glow[1] = "0";
    glow[2] = "1";
    emissive[0] = "0";
    emissive[1] = "0";
    emissive[2] = "1";
    animFlags[2] = "0x00000005";
    scrollDir[2] = "0 -0.21";
    waveType[2] = "Square";
    waveFreq[2] = "2";
    waveAmp[2] = "1";
    specularStrength[0] = "0";
   colorMap[0] = "vehicles/common/null.dds";
   colorMap[1] = "vehicles/common/lightbars/lightbar_d.dds";
   colorMap[2] = "vehicles/common/lightbars/lightbar_g.dds";
   specularStrength0 = "0";
};

//modern_lightbar
singleton Material(modlightbar)
{
    mapTo = "modlightbar";
    diffuseMap[0] = "vehicles/common/lightbars/modlightbar_d.dds";
    specularMap[0] = "vehicles/common/lightbars/modlightbar_s.dds";
    normalMap[0] = "vehicles/common/lightbars/modlightbar_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(modlightbar_glass)
{
    mapTo = "modlightbar_glass";
    diffuseMap[0] = "vehicles/common/lightbars/modlightbar_d.dds";
    specularMap[0] = "vehicles/common/lightbars/modlightbar_s.dds";
    normalMap[0] = "vehicles/common/lightbars/modlightbar_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "LerpAlpha";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(modlightbarW)
{
    mapTo = "modlightbarW";
    diffuseMap[1] = "vehicles/common/lightbars/modlightbar_d.dds";
    specularMap[1] = "vehicles/common/lightbars/modlightbar_s.dds";
    normalMap[1] = "vehicles/common/lightbars/modlightbar_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/lightbars/modlightbar_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "0.6 0.6 0.6 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    glow[0] = "0";
    glow[1] = "0";
    emissive[0] = "0";
    emissive[1] = "0";
};

singleton Material(modlightbarR)
{
    mapTo = "modlightbarR";
    diffuseMap[1] = "vehicles/common/lightbars/modlightbar_d.dds";
    specularMap[1] = "vehicles/common/lightbars/modlightbar_s.dds";
    normalMap[1] = "vehicles/common/lightbars/modlightbar_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/lightbars/modlightbar_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "0.6 0.6 0.6 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    glow[0] = "0";
    glow[1] = "0";
    emissive[0] = "0";
    emissive[1] = "0";
};

singleton Material(modlightbarB)
{
    mapTo = "modlightbarB";
    diffuseMap[1] = "vehicles/common/lightbars/modlightbar_d.dds";
    specularMap[1] = "vehicles/common/lightbars/modlightbar_s.dds";
    normalMap[1] = "vehicles/common/lightbars/modlightbar_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/lightbars/modlightbar_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "0.6 0.6 0.6 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    glow[0] = "0";
    glow[1] = "0";
    emissive[0] = "0";
    emissive[1] = "0";
};

//RBW_on
singleton Material(modlightbarR_on)
{
    mapTo = "modlightbarR_on";
    specularMap[2] = "vehicles/common/lightbars/modlightbar_s.dds";
    normalMap[2] = "vehicles/common/lightbars/modlightbar_n.dds";
    specularMap[1] = "vehicles/common/lightbars/modlightbar_s.dds";
    normalMap[1] = "vehicles/common/lightbars/modlightbar_n.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/lightbars/modlightbar_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    glow[0] = "0";
    glow[1] = "0";
    glow[2] = "1";
    emissive[0] = "0";
    emissive[1] = "0";
    emissive[2] = "1";
   waveAmp[2] = "0.190";
   animFlags[2] = "0x00000005";
   scrollDir[2] = "1 0";
   waveType[2] = "Square";
   waveFreq[2] = "1.85";
   colorMap[0] = "vehicles/common/null.dds";
   colorMap[1] = "vehicles/common/lightbars/modlightbar_d.dds";
   specularStrength0 = "0";
   colorMap[2] = "vehicles/common/lightbars/modlightbar_g.dds";
};

singleton Material(modlightbarB_on)
{
    mapTo = "modlightbarB_on";
    specularMap[2] = "vehicles/common/lightbars/modlightbar_s.dds";
    normalMap[2] = "vehicles/common/lightbars/modlightbar_n.dds";
    specularMap[1] = "vehicles/common/lightbars/modlightbar_s.dds";
    normalMap[1] = "vehicles/common/lightbars/modlightbar_n.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/lightbars/modlightbar_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    glow[0] = "0";
    glow[1] = "0";
    glow[2] = "1";
    emissive[0] = "0";
    emissive[1] = "0";
    emissive[2] = "1";
   waveAmp[2] = "0.190";
   animFlags[2] = "0x00000005";
   scrollDir[2] = "1 0";
   waveType[2] = "Square";
   waveFreq[2] = "1.85";
   colorMap[0] = "vehicles/common/null.dds";
   colorMap[1] = "vehicles/common/lightbars/modlightbar_d.dds";
   specularStrength0 = "0";
   colorMap[2] = "vehicles/common/lightbars/modlightbar_g.dds";
};


//ledsign
singleton Material(modlightbar_sign)
{
    mapTo = "modlightbar_sign";
    diffuseMap[1] = "vehicles/common/lightbars/modlightbar_d.dds";
    specularMap[1] = "vehicles/common/lightbars/modlightbar_s.dds";
    normalMap[1] = "vehicles/common/lightbars/modlightbar_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/lightbars/modlightbar_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    glow[0] = ".";
    glow[1] = "0";
    emissive[0] = "1";
    emissive[1] = "1";
};

singleton Material(modlightbar_sign_on)
{
    mapTo = "modlightbar_sign_on";
    diffuseMap[1] = "vehicles/common/lightbars/modlightbar_g.dds";
    specularMap[1] = "vehicles/common/lightbars/modlightbar_s.dds";
    normalMap[1] = "vehicles/common/lightbars/modlightbar_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/lightbars/modlightbar_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    glow[0] = ".";
    glow[1] = "0";
    emissive[0] = "1";
    emissive[1] = "1";
   waveAmp[1] = "0.098";
   animFlags[1] = "0x00000005";
   scrollDir[1] = "0 1";
   waveType[1] = "Square";
   waveFreq[1] = "0.5";
};

//eur_lightbar
singleton Material(eurlightbar)
{
    mapTo = "eurlightbar";
    diffuseMap[0] = "vehicles/common/lightbars/eurlightbar_d.dds";
    specularMap[0] = "vehicles/common/lightbars/eurlightbar_s.dds";
    normalMap[0] = "vehicles/common/lightbars/eurlightbar_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(eurlightbar_glass)
{
    mapTo = "eurlightbar_glass";
    diffuseMap[0] = "vehicles/common/lightbars/eurlightbar_d.dds";
    specularMap[0] = "vehicles/common/lightbars/eurlightbar_s.dds";
    normalMap[0] = "vehicles/common/lightbars/eurlightbar_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "LerpAlpha";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(eurlightbarB)
{
    mapTo = "eurlightbarB";
    diffuseMap[1] = "vehicles/common/lightbars/eurlightbar_d.dds";
    specularMap[1] = "vehicles/common/lightbars/eurlightbar_s.dds";
    normalMap[1] = "vehicles/common/lightbars/eurlightbar_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/lightbars/eurlightbar_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "0.6 0.6 0.6 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    glow[0] = "0";
    glow[1] = "0";
    emissive[0] = "0";
    emissive[1] = "0";
};

singleton Material(eurlightbarB2)
{
    mapTo = "eurlightbarB2";
    diffuseMap[1] = "vehicles/common/lightbars/eurlightbar_d.dds";
    specularMap[1] = "vehicles/common/lightbars/eurlightbar_s.dds";
    normalMap[1] = "vehicles/common/lightbars/eurlightbar_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/lightbars/eurlightbar_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "0.6 0.6 0.6 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    glow[0] = "0";
    glow[1] = "0";
    emissive[0] = "0";
    emissive[1] = "0";
};

//B_on

singleton Material(eurlightbarB_on)
{
    mapTo = "eurlightbarB_on";
    specularMap[2] = "vehicles/common/lightbars/eurlightbar_s.dds";
    normalMap[2] = "vehicles/common/lightbars/eurlightbar_n.dds";
    specularMap[1] = "vehicles/common/lightbars/eurlightbar_s.dds";
    normalMap[1] = "vehicles/common/lightbars/eurlightbar_n.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/lightbars/eurlightbar_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    glow[0] = "0";
    glow[1] = "0";
    glow[2] = "1";
    emissive[0] = "0";
    emissive[1] = "0";
    emissive[2] = "1";
   waveAmp[2] = "0.190";
   animFlags[2] = "0x00000005";
   scrollDir[2] = "0 1";
   waveType[2] = "Square";
   waveFreq[2] = "1.85";
   colorMap[0] = "vehicles/common/null.dds";
   colorMap[1] = "vehicles/common/lightbars/eurlightbar_d.dds";
   colorMap[2] = "vehicles/common/lightbars/eurlightbar_g.dds";
};

singleton Material(eurlightbarB2_on)
{
    mapTo = "eurlightbarB2_on";
    specularMap[2] = "vehicles/common/lightbars/eurlightbar_s.dds";
    normalMap[2] = "vehicles/common/lightbars/eurlightbar_n.dds";
    specularMap[1] = "vehicles/common/lightbars/eurlightbar_s.dds";
    normalMap[1] = "vehicles/common/lightbars/eurlightbar_n.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/lightbars/eurlightbar_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    glow[0] = "0";
    glow[1] = "0";
    glow[2] = "1";
    emissive[0] = "0";
    emissive[1] = "0";
    emissive[2] = "1";
   waveAmp[2] = "0.190";
   animFlags[2] = "0x00000005";
   scrollDir[2] = "0 1";
   waveType[2] = "Square";
   waveFreq[2] = "1.85";
   colorMap[0] = "vehicles/common/null.dds";
   colorMap[1] = "vehicles/common/lightbars/eurlightbar_d.dds";
   colorMap[2] = "vehicles/common/lightbars/eurlightbar_g.dds";
};

//ledsign
singleton Material(eurlightbar_sign)
{
    mapTo = "eurlightbar_sign";
    diffuseMap[1] = "vehicles/common/lightbars/eurlightbar_d.dds";
    specularMap[1] = "vehicles/common/lightbars/eurlightbar_s.dds";
    normalMap[1] = "vehicles/common/lightbars/eurlightbar_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/lightbars/eurlightbar_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    glow[0] = ".";
    glow[1] = "0";
    emissive[0] = "1";
    emissive[1] = "1";
};

singleton Material(eurlightbar_sign_on)
{
    mapTo = "eurlightbar_sign_on";
    diffuseMap[1] = "vehicles/common/lightbars/eurlightbar_g.dds";
    specularMap[1] = "vehicles/common/lightbars/eurlightbar_s.dds";
    normalMap[1] = "vehicles/common/lightbars/eurlightbar_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/lightbars/eurlightbar_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    glow[0] = ".";
    glow[1] = "0";
    emissive[0] = "1";
    emissive[1] = "1";
   waveAmp[1] = "0.098";
   animFlags[1] = "0x00000005";
   scrollDir[1] = "-1 0";
   waveType[1] = "Square";
   waveFreq[1] = "0.5";
};

singleton Material(modlightbarW_on)
{
   mapTo = "modlightbarW_on";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   diffuseColor[2] = "1.5 1.5 1.5 1";
   colorMap[0] = "vehicles/common/null.dds";
   colorMap[1] = "vehicles/common/lightbars/modlightbar_d.dds";
   normalMap[0] = "vehicles/common/lightbars/modlightbar_n.dds";
   normalMap[1] = "vehicles/common/lightbars/modlightbar_n.dds";
   normalMap[2] = "vehicles/common/lightbars/modlightbar_n.dds";
   specularPower[0] = "128";
   specularPower[1] = "32";
   pixelSpecular[0] = "1";
   pixelSpecular[1] = "1";
   specularMap[0] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/lightbars/modlightbar_s.dds";
   specularMap[2] = "vehicles/common/lightbars/modlightbar_s.dds";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   glow[2] = "1";
   emissive[2] = "1";
   animFlags[2] = "0x00000005";
   scrollDir[2] = "1 0";
   waveType[2] = "Square";
   waveAmp[2] = "0.190";
   waveFreq[2] = "2";
   translucentBlendOp = "None";
   alphaRef = "0";
   dynamicCubemap = "1";
   specularStrength0 = "0";
   materialTag0 = "beamng";
   materialTag1 = "vehicle";
   colorMap[2] = "vehicles/common/lightbars/modlightbar_g.dds";
};
//dmg
singleton Material(lightbarglassR_dmg)
{
    mapTo = "lightbarglassR_dmg";
    diffuseMap[0] = "vehicles/common/null.dds";
    opacityMap[0] = "vehicles/common/lightbars/lightbar_o_dmg.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/glass_dmg_n.dds";
    diffuseMap[1] = "vehicles/common/lightbars/lightbar_d_dmg.dds";
    opacityMap[1] = "vehicles/common/lightbars/lightbar_o_dmg.dds";
    specularMap[1] = "vehicles/common/lightbars/lightbar_s.dds";
    normalMap[1] = "vehicles/common/lightbars/lightbar_n.dds";
    specularPower[0] = "128";
    specularPower[1] = "128";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(lightbarglassR2_dmg)
{
    mapTo = "lightbarglassR2_dmg";
    diffuseMap[0] = "vehicles/common/null.dds";
    opacityMap[0] = "vehicles/common/lightbars/lightbar_o_dmg.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/glass_dmg_n.dds";
    diffuseMap[1] = "vehicles/common/lightbars/lightbar_d_dmg.dds";
    opacityMap[1] = "vehicles/common/lightbars/lightbar_o_dmg.dds";
    specularMap[1] = "vehicles/common/lightbars/lightbar_s.dds";
    normalMap[1] = "vehicles/common/lightbars/lightbar_n.dds";
    specularPower[0] = "128";
    specularPower[1] = "128";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(lightbarglassB_dmg)
{
    mapTo = "lightbarglassB_dmg";
    diffuseMap[0] = "vehicles/common/null.dds";
    opacityMap[0] = "vehicles/common/lightbars/lightbar_o_dmg.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/glass_dmg_n.dds";
    diffuseMap[1] = "vehicles/common/lightbars/lightbar_d_dmg.dds";
    opacityMap[1] = "vehicles/common/lightbars/lightbar_o_dmg.dds";
    specularMap[1] = "vehicles/common/lightbars/lightbar_s.dds";
    normalMap[1] = "vehicles/common/lightbars/lightbar_n.dds";
    specularPower[0] = "128";
    specularPower[1] = "128";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(lightbarglassB2_dmg)
{
    mapTo = "lightbarglassB2_dmg";
    diffuseMap[0] = "vehicles/common/null.dds";
    opacityMap[0] = "vehicles/common/lightbars/lightbar_o_dmg.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/glass_dmg_n.dds";
    diffuseMap[1] = "vehicles/common/lightbars/lightbar_d_dmg.dds";
    opacityMap[1] = "vehicles/common/lightbars/lightbar_o_dmg.dds";
    specularMap[1] = "vehicles/common/lightbars/lightbar_s.dds";
    normalMap[1] = "vehicles/common/lightbars/lightbar_n.dds";
    specularPower[0] = "128";
    specularPower[1] = "128";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(lightbarglassA_dmg)
{
    mapTo = "lightbarglassA_dmg";
    diffuseMap[0] = "vehicles/common/null.dds";
    opacityMap[0] = "vehicles/common/lightbars/lightbar_o_dmg.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/glass_dmg_n.dds";
    diffuseMap[1] = "vehicles/common/lightbars/lightbar_d_dmg.dds";
    opacityMap[1] = "vehicles/common/lightbars/lightbar_o_dmg.dds";
    specularMap[1] = "vehicles/common/lightbars/lightbar_s.dds";
    normalMap[1] = "vehicles/common/lightbars/lightbar_n.dds";
    specularPower[0] = "128";
    specularPower[1] = "128";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(lightbarglassA2_dmg)
{
    mapTo = "lightbarglassA2_dmg";
    diffuseMap[0] = "vehicles/common/null.dds";
    opacityMap[0] = "vehicles/common/lightbars/lightbar_o_dmg.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/glass_dmg_n.dds";
    diffuseMap[1] = "vehicles/common/lightbars/lightbar_d_dmg.dds";
    opacityMap[1] = "vehicles/common/lightbars/lightbar_o_dmg.dds";
    specularMap[1] = "vehicles/common/lightbars/lightbar_s.dds";
    normalMap[1] = "vehicles/common/lightbars/lightbar_n.dds";
    specularPower[0] = "128";
    specularPower[1] = "128";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};